import unittest
import pandas as pd
from autocleanframe.cleaner import clean_dataframe

class TestCleaner(unittest.TestCase):
    def test_clean_dataframe(self):
        data = {'A': [1, 2, None], 'B': [' a', None, 'c'], 'C': [None, 4.5, 6]}
        df = pd.DataFrame(data)
        
        cleaned_df = clean_dataframe(df)

        print("\nCleaned DataFrame:\n", cleaned_df)  # 🔍 Debugging output

        self.assertFalse(cleaned_df.isnull().values.any())  # No missing values

if __name__ == "__main__":
    unittest.main()
